---
title: XMLHttpRequest.statusText
slug: Web/API/XMLHttpRequest/statusText
tags:
  - AJAX
  - API
  - Property
  - Read-only
  - Reference
  - XMLHttpRequest
  - XMLHttpRequest Status
---
<div>{{APIRef('XMLHttpRequest')}}</div>

<p>The read-only <code><strong>XMLHttpRequest.statusText</strong></code> property returns a <a href="/en-US/docs/Web/API/DOMString" title="DOMString is a UTF-16 String. As JavaScript already uses such strings, DOMString is mapped directly to a String."><code>DOMString</code></a> containing the response's status message as returned by the HTTP server. Unlike <a href="/en-US/docs/Web/API/XMLHTTPRequest/status" title="The XMLHttpRequest.status property returns an unsigned short with the status of the response of the request. These are the standard HTTP status codes. For example, status is 200 denotes a successful request. Before the request is complete, the value of status will be 0."><code>XMLHTTPRequest.status</code></a> which indicates a numerical status code, this property contains the <em>text</em> of the response status, such as "OK" or "Not Found". If the request's <code><a href="/en-US/docs/Web/API/XMLHttpRequest/readyState">readyState</a></code> is in <code>UNSENT</code> or <code>OPENED</code> state, the value of <code>statusText</code> will be an empty string.</p>

<p>If the server response doesn't explicitly specify a status text, <code>statusText</code> will assume the default value "OK".</p>

<div class="notecard note">
<p>Responses over an HTTP/2 connection will always have a empty string as status message as HTTP/2 does not support them.</p>
</div>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">var xhr = new XMLHttpRequest();
console.log('0 UNSENT', xhr.statusText);

xhr.open('GET', '/server', true);
console.log('1 OPENED', xhr.statusText);

xhr.onprogress = function () {
  console.log('3 LOADING', xhr.statusText);
};

xhr.onload = function () {
  console.log('4 DONE', xhr.statusText);
};

xhr.send(null);

/**
 * Outputs the following:
 *
 * 0 UNSENT
 * 1 OPENED
 * 3 LOADING OK
 * 4 DONE OK
 */
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#the-statustext-attribute')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td>WHATWG living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequest.statusText")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>List of <a href="/en-US/docs/Web/HTTP/Response_codes">HTTP response codes</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
 <li><a href="https://fetch.spec.whatwg.org/#concept-response-status-message">WHATWG Fetch Living Standard</a></li>
</ul>
